LINUX.ORG.RU

Virtualbox ошибка при установке модулей ядра

 ,


0

1

Система дебиан 11, обновил ядро до 5.18.0-2-amd64. linux-headers-5.18.0-2-amd64 установлен. Virtualbox до этого работал нормально. Теперь при запуске ВМ он посылает делать sudo vboxconf, а он в свою очередь говорит что не может собрать kernel modules:

vboxdrv.sh: Stopping VirtualBox services.
vboxdrv.sh: Starting VirtualBox services.
vboxdrv.sh: Building VirtualBox kernel modules.
vboxdrv.sh: failed: Look at /var/log/vbox-setup.log to find out what went wrong.

There were problems setting up VirtualBox.  To re-start the set-up process, run
  /sbin/vboxconfig
as root.  If your system is using EFI Secure Boot you may need to sign the
kernel modules (vboxdrv, vboxnetflt, vboxnetadp, vboxpci) before you can load
them. Please see your Linux system's documentation for more information.

В логах:

Building the main VirtualBox module.
Building the net filter module.
Error building the module:
make V=1 CONFIG_MODULE_SIG= CONFIG_MODULE_SIG_ALL= -C /lib/modules/5.18.0-2-amd64/build M=/tmp/vbox.0 SRCROOT=/tmp/vbox.0 -j8 modules
make[1]: предупреждение: в суб-Makefile принудительно задан -j8; сброс режима сервера заданий
make -f /usr/src/linux-headers-5.18.0-2-common/scripts/Makefile.build obj=/tmp/vbox.0 \
single-build= \
need-builtin=1 need-modorder=1
   gcc-11 -Wp,-MMD,/tmp/vbox.0/linux/.VBoxNetFlt-linux.o.d -nostdinc -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include -I./arch/x86/include/generated -I/usr/src/linux-headers-5.18.0-2-common/include -I./include -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I/usr/src/linux-headers-5.18.0-2-common/include/uapi -I./include/generated/uapi -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler-version.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/kconfig.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler_types.h -D__KERNEL__ -fmacro-prefix-map=/usr/src/linux-headers-5.18.0-2-common/= -Wall -Wundef -Werror=strict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -fno-PIE -Werror=implicit-function-declaration -Werror=implicit-int -Werror=return-type -Wno-format-security -std=gnu11 -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -fcf-protection=none -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -mindirect-branch-cs-prefix -fno-jump-tables -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-address-of-packed-member -O2 -fno-allow-store-data-races -Wframe-larger-than=2048 -fstack-protector-strong -Wimplicit-fallthrough=5 -Wno-main -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-stack-clash-protection -pg -mrecord-mcount -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wvla -Wno-pointer-sign -Wcast-function-type -Wno-stringop-truncation -Wno-stringop-overflow -Wno-restrict -Wno-maybe-uninitialized -Wno-alloc-size-larger-than -fno-strict-overflow -fno-stack-check -fconserve-stack -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -Wno-packed-not-aligned -g -include /tmp/vbox.0/include/VBox/SUPDrvMangling.h -fno-pie -Wno-declaration-after-statement -I/usr/src/linux-headers-5.18.0-2-common/include -I/tmp/vbox.0/ -I/tmp/vbox.0/include -I/tmp/vbox.0/r0drv/linux -D__KERNEL__ -DMODULE -DRT_WITHOUT_PRAGMA_ONCE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DRT_ARCH_AMD64  -DMODULE  -DKBUILD_BASENAME='"VBoxNetFlt_linux"' -DKBUILD_MODNAME='"vboxnetflt"' -D__KBUILD_MODNAME=kmod_vboxnetflt -c -o /tmp/vbox.0/linux/VBoxNetFlt-linux.o /tmp/vbox.0/linux/VBoxNetFlt-linux.c  ; ./tools/objtool/objtool orc generate  --module   --no-fp   --retpoline  --uaccess   /tmp/vbox.0/linux/VBoxNetFlt-linux.o
   gcc-11 -Wp,-MMD,/tmp/vbox.0/.VBoxNetFlt.o.d -nostdinc -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include -I./arch/x86/include/generated -I/usr/src/linux-headers-5.18.0-2-common/include -I./include -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I/usr/src/linux-headers-5.18.0-2-common/include/uapi -I./include/generated/uapi -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler-version.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/kconfig.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler_types.h -D__KERNEL__ -fmacro-prefix-map=/usr/src/linux-headers-5.18.0-2-common/= -Wall -Wundef -Werror=strict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -fno-PIE -Werror=implicit-function-declaration -Werror=implicit-int -Werror=return-type -Wno-format-security -std=gnu11 -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -fcf-protection=none -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -mindirect-branch-cs-prefix -fno-jump-tables -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-address-of-packed-member -O2 -fno-allow-store-data-races -Wframe-larger-than=2048 -fstack-protector-strong -Wimplicit-fallthrough=5 -Wno-main -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-stack-clash-protection -pg -mrecord-mcount -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wvla -Wno-pointer-sign -Wcast-function-type -Wno-stringop-truncation -Wno-stringop-overflow -Wno-restrict -Wno-maybe-uninitialized -Wno-alloc-size-larger-than -fno-strict-overflow -fno-stack-check -fconserve-stack -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -Wno-packed-not-aligned -g -include /tmp/vbox.0/include/VBox/SUPDrvMangling.h -fno-pie -Wno-declaration-after-statement -I/usr/src/linux-headers-5.18.0-2-common/include -I/tmp/vbox.0/ -I/tmp/vbox.0/include -I/tmp/vbox.0/r0drv/linux -D__KERNEL__ -DMODULE -DRT_WITHOUT_PRAGMA_ONCE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DRT_ARCH_AMD64  -DMODULE  -DKBUILD_BASENAME='"VBoxNetFlt"' -DKBUILD_MODNAME='"vboxnetflt"' -D__KBUILD_MODNAME=kmod_vboxnetflt -c -o /tmp/vbox.0/VBoxNetFlt.o /tmp/vbox.0/VBoxNetFlt.c  ; ./tools/objtool/objtool orc generate  --module   --no-fp   --retpoline  --uaccess   /tmp/vbox.0/VBoxNetFlt.o
   gcc-11 -Wp,-MMD,/tmp/vbox.0/.SUPR0IdcClient.o.d -nostdinc -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include -I./arch/x86/include/generated -I/usr/src/linux-headers-5.18.0-2-common/include -I./include -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I/usr/src/linux-headers-5.18.0-2-common/include/uapi -I./include/generated/uapi -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler-version.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/kconfig.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler_types.h -D__KERNEL__ -fmacro-prefix-map=/usr/src/linux-headers-5.18.0-2-common/= -Wall -Wundef -Werror=strict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -fno-PIE -Werror=implicit-function-declaration -Werror=implicit-int -Werror=return-type -Wno-format-security -std=gnu11 -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -fcf-protection=none -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -mindirect-branch-cs-prefix -fno-jump-tables -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-address-of-packed-member -O2 -fno-allow-store-data-races -Wframe-larger-than=2048 -fstack-protector-strong -Wimplicit-fallthrough=5 -Wno-main -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-stack-clash-protection -pg -mrecord-mcount -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wvla -Wno-pointer-sign -Wcast-function-type -Wno-stringop-truncation -Wno-stringop-overflow -Wno-restrict -Wno-maybe-uninitialized -Wno-alloc-size-larger-than -fno-strict-overflow -fno-stack-check -fconserve-stack -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -Wno-packed-not-aligned -g -include /tmp/vbox.0/include/VBox/SUPDrvMangling.h -fno-pie -Wno-declaration-after-statement -I/usr/src/linux-headers-5.18.0-2-common/include -I/tmp/vbox.0/ -I/tmp/vbox.0/include -I/tmp/vbox.0/r0drv/linux -D__KERNEL__ -DMODULE -DRT_WITHOUT_PRAGMA_ONCE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DRT_ARCH_AMD64  -DMODULE  -DKBUILD_BASENAME='"SUPR0IdcClient"' -DKBUILD_MODNAME='"vboxnetflt"' -D__KBUILD_MODNAME=kmod_vboxnetflt -c -o /tmp/vbox.0/SUPR0IdcClient.o /tmp/vbox.0/SUPR0IdcClient.c  ; ./tools/objtool/objtool orc generate  --module   --no-fp   --retpoline  --uaccess   /tmp/vbox.0/SUPR0IdcClient.o
   gcc-11 -Wp,-MMD,/tmp/vbox.0/.SUPR0IdcClientComponent.o.d -nostdinc -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include -I./arch/x86/include/generated -I/usr/src/linux-headers-5.18.0-2-common/include -I./include -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I/usr/src/linux-headers-5.18.0-2-common/include/uapi -I./include/generated/uapi -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler-version.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/kconfig.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler_types.h -D__KERNEL__ -fmacro-prefix-map=/usr/src/linux-headers-5.18.0-2-common/= -Wall -Wundef -Werror=strict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -fno-PIE -Werror=implicit-function-declaration -Werror=implicit-int -Werror=return-type -Wno-format-security -std=gnu11 -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -fcf-protection=none -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -mindirect-branch-cs-prefix -fno-jump-tables -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-address-of-packed-member -O2 -fno-allow-store-data-races -Wframe-larger-than=2048 -fstack-protector-strong -Wimplicit-fallthrough=5 -Wno-main -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-stack-clash-protection -pg -mrecord-mcount -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wvla -Wno-pointer-sign -Wcast-function-type -Wno-stringop-truncation -Wno-stringop-overflow -Wno-restrict -Wno-maybe-uninitialized -Wno-alloc-size-larger-than -fno-strict-overflow -fno-stack-check -fconserve-stack -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -Wno-packed-not-aligned -g -include /tmp/vbox.0/include/VBox/SUPDrvMangling.h -fno-pie -Wno-declaration-after-statement -I/usr/src/linux-headers-5.18.0-2-common/include -I/tmp/vbox.0/ -I/tmp/vbox.0/include -I/tmp/vbox.0/r0drv/linux -D__KERNEL__ -DMODULE -DRT_WITHOUT_PRAGMA_ONCE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DRT_ARCH_AMD64  -DMODULE  -DKBUILD_BASENAME='"SUPR0IdcClientComponent"' -DKBUILD_MODNAME='"vboxnetflt"' -D__KBUILD_MODNAME=kmod_vboxnetflt -c -o /tmp/vbox.0/SUPR0IdcClientComponent.o /tmp/vbox.0/SUPR0IdcClientComponent.c  ; ./tools/objtool/objtool orc generate  --module   --no-fp   --retpoline  --uaccess   /tmp/vbox.0/SUPR0IdcClientComponent.o
   gcc-11 -Wp,-MMD,/tmp/vbox.0/linux/.SUPR0IdcClient-linux.o.d -nostdinc -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include -I./arch/x86/include/generated -I/usr/src/linux-headers-5.18.0-2-common/include -I./include -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I/usr/src/linux-headers-5.18.0-2-common/include/uapi -I./include/generated/uapi -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler-version.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/kconfig.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler_types.h -D__KERNEL__ -fmacro-prefix-map=/usr/src/linux-headers-5.18.0-2-common/= -Wall -Wundef -Werror=strict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -fno-PIE -Werror=implicit-function-declaration -Werror=implicit-int -Werror=return-type -Wno-format-security -std=gnu11 -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -fcf-protection=none -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -mindirect-branch-cs-prefix -fno-jump-tables -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-address-of-packed-member -O2 -fno-allow-store-data-races -Wframe-larger-than=2048 -fstack-protector-strong -Wimplicit-fallthrough=5 -Wno-main -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-stack-clash-protection -pg -mrecord-mcount -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wvla -Wno-pointer-sign -Wcast-function-type -Wno-stringop-truncation -Wno-stringop-overflow -Wno-restrict -Wno-maybe-uninitialized -Wno-alloc-size-larger-than -fno-strict-overflow -fno-stack-check -fconserve-stack -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -Wno-packed-not-aligned -g -include /tmp/vbox.0/include/VBox/SUPDrvMangling.h -fno-pie -Wno-declaration-after-statement -I/usr/src/linux-headers-5.18.0-2-common/include -I/tmp/vbox.0/ -I/tmp/vbox.0/include -I/tmp/vbox.0/r0drv/linux -D__KERNEL__ -DMODULE -DRT_WITHOUT_PRAGMA_ONCE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DRT_ARCH_AMD64  -DMODULE  -DKBUILD_BASENAME='"SUPR0IdcClient_linux"' -DKBUILD_MODNAME='"vboxnetflt"' -D__KBUILD_MODNAME=kmod_vboxnetflt -c -o /tmp/vbox.0/linux/SUPR0IdcClient-linux.o /tmp/vbox.0/linux/SUPR0IdcClient-linux.c  ; ./tools/objtool/objtool orc generate  --module   --no-fp   --retpoline  --uaccess   /tmp/vbox.0/linux/SUPR0IdcClient-linux.o
   { echo ; echo '/tmp/vbox.0/linux/SUPR0IdcClient-linux.o: $(wildcard ./tools/objtool/objtool)' ; } >> /tmp/vbox.0/linux/.SUPR0IdcClient-linux.o.cmd
  if objdump -h /tmp/vbox.0/linux/SUPR0IdcClient-linux.o | grep -q __ksymtab; then  gcc-11 -E -D__GENKSYMS__ -Wp,-MMD,/tmp/vbox.0/linux/.SUPR0IdcClient-linux.o.d -nostdinc -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include -I./arch/x86/include/generated -I/usr/src/linux-headers-5.18.0-2-common/include -I./include -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I/usr/src/linux-headers-5.18.0-2-common/include/uapi -I./include/generated/uapi -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler-version.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/kconfig.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler_types.h -D__KERNEL__ -fmacro-prefix-map=/usr/src/linux-headers-5.18.0-2-common/= -Wall -Wundef -Werror=strict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -fno-PIE -Werror=implicit-function-declaration -Werror=implicit-int -Werror=return-type -Wno-format-security -std=gnu11 -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -fcf-protection=none -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -mindirect-branch-cs-prefix -fno-jump-tables -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-address-of-packed-member -O2 -fno-allow-store-data-races -Wframe-larger-than=2048 -fstack-protector-strong -Wimplicit-fallthrough=5 -Wno-main -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-stack-clash-protection -pg -mrecord-mcount -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wvla -Wno-pointer-sign -Wcast-function-type -Wno-stringop-truncation -Wno-stringop-overflow -Wno-restrict -Wno-maybe-uninitialized -Wno-alloc-size-larger-than -fno-strict-overflow -fno-stack-check -fconserve-stack -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -Wno-packed-not-aligned -g -include /tmp/vbox.0/include/VBox/SUPDrvMangling.h -fno-pie -Wno-declaration-after-statement -I/usr/src/linux-headers-5.18.0-2-common/include -I/tmp/vbox.0/ -I/tmp/vbox.0/include -I/tmp/vbox.0/r0drv/linux -D__KERNEL__ -DMODULE -DRT_WITHOUT_PRAGMA_ONCE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DRT_ARCH_AMD64  -DMODULE  -DKBUILD_BASENAME='"SUPR0IdcClient_linux"' -DKBUILD_MODNAME='"vboxnetflt"' -D__KBUILD_MODNAME=kmod_vboxnetflt /tmp/vbox.0/linux/SUPR0IdcClient-linux.c | scripts/genksyms/genksyms    -r /dev/null > /tmp/vbox.0/linux/.tmp_SUPR0IdcClient-linux.ver; ld -m elf_x86_64 -r -o /tmp/vbox.0/linux/.tmp_SUPR0IdcClient-linux.o /tmp/vbox.0/linux/SUPR0IdcClient-linux.o -T /tmp/vbox.0/linux/.tmp_SUPR0IdcClient-linux.ver; mv -f /tmp/vbox.0/linux/.tmp_SUPR0IdcClient-linux.o /tmp/vbox.0/linux/SUPR0IdcClient-linux.o; rm -f /tmp/vbox.0/linux/.tmp_SUPR0IdcClient-linux.ver; fi
   { echo ; echo '/tmp/vbox.0/SUPR0IdcClient.o: $(wildcard ./tools/objtool/objtool)' ; } >> /tmp/vbox.0/.SUPR0IdcClient.o.cmd
  if objdump -h /tmp/vbox.0/SUPR0IdcClient.o | grep -q __ksymtab; then  gcc-11 -E -D__GENKSYMS__ -Wp,-MMD,/tmp/vbox.0/.SUPR0IdcClient.o.d -nostdinc -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include -I./arch/x86/include/generated -I/usr/src/linux-headers-5.18.0-2-common/include -I./include -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I/usr/src/linux-headers-5.18.0-2-common/include/uapi -I./include/generated/uapi -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler-version.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/kconfig.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler_types.h -D__KERNEL__ -fmacro-prefix-map=/usr/src/linux-headers-5.18.0-2-common/= -Wall -Wundef -Werror=strict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -fno-PIE -Werror=implicit-function-declaration -Werror=implicit-int -Werror=return-type -Wno-format-security -std=gnu11 -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -fcf-protection=none -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -mindirect-branch-cs-prefix -fno-jump-tables -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-address-of-packed-member -O2 -fno-allow-store-data-races -Wframe-larger-than=2048 -fstack-protector-strong -Wimplicit-fallthrough=5 -Wno-main -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-stack-clash-protection -pg -mrecord-mcount -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wvla -Wno-pointer-sign -Wcast-function-type -Wno-stringop-truncation -Wno-stringop-overflow -Wno-restrict -Wno-maybe-uninitialized -Wno-alloc-size-larger-than -fno-strict-overflow -fno-stack-check -fconserve-stack -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -Wno-packed-not-aligned -g -include /tmp/vbox.0/include/VBox/SUPDrvMangling.h -fno-pie -Wno-declaration-after-statement -I/usr/src/linux-headers-5.18.0-2-common/include -I/tmp/vbox.0/ -I/tmp/vbox.0/include -I/tmp/vbox.0/r0drv/linux -D__KERNEL__ -DMODULE -DRT_WITHOUT_PRAGMA_ONCE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DRT_ARCH_AMD64  -DMODULE  -DKBUILD_BASENAME='"SUPR0IdcClient"' -DKBUILD_MODNAME='"vboxnetflt"' -D__KBUILD_MODNAME=kmod_vboxnetflt /tmp/vbox.0/SUPR0IdcClient.c | scripts/genksyms/genksyms    -r /dev/null > /tmp/vbox.0/.tmp_SUPR0IdcClient.ver; ld -m elf_x86_64 -r -o /tmp/vbox.0/.tmp_SUPR0IdcClient.o /tmp/vbox.0/SUPR0IdcClient.o -T /tmp/vbox.0/.tmp_SUPR0IdcClient.ver; mv -f /tmp/vbox.0/.tmp_SUPR0IdcClient.o /tmp/vbox.0/SUPR0IdcClient.o; rm -f /tmp/vbox.0/.tmp_SUPR0IdcClient.ver; fi
   { echo ; echo '/tmp/vbox.0/SUPR0IdcClientComponent.o: $(wildcard ./tools/objtool/objtool)' ; } >> /tmp/vbox.0/.SUPR0IdcClientComponent.o.cmd
  if objdump -h /tmp/vbox.0/SUPR0IdcClientComponent.o | grep -q __ksymtab; then  gcc-11 -E -D__GENKSYMS__ -Wp,-MMD,/tmp/vbox.0/.SUPR0IdcClientComponent.o.d -nostdinc -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include -I./arch/x86/include/generated -I/usr/src/linux-headers-5.18.0-2-common/include -I./include -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I/usr/src/linux-headers-5.18.0-2-common/include/uapi -I./include/generated/uapi -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler-version.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/kconfig.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler_types.h -D__KERNEL__ -fmacro-prefix-map=/usr/src/linux-headers-5.18.0-2-common/= -Wall -Wundef -Werror=strict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -fno-PIE -Werror=implicit-function-declaration -Werror=implicit-int -Werror=return-type -Wno-format-security -std=gnu11 -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -fcf-protection=none -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -mindirect-branch-cs-prefix -fno-jump-tables -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-address-of-packed-member -O2 -fno-allow-store-data-races -Wframe-larger-than=2048 -fstack-protector-strong -Wimplicit-fallthrough=5 -Wno-main -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-stack-clash-protection -pg -mrecord-mcount -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wvla -Wno-pointer-sign -Wcast-function-type -Wno-stringop-truncation -Wno-stringop-overflow -Wno-restrict -Wno-maybe-uninitialized -Wno-alloc-size-larger-than -fno-strict-overflow -fno-stack-check -fconserve-stack -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -Wno-packed-not-aligned -g -include /tmp/vbox.0/include/VBox/SUPDrvMangling.h -fno-pie -Wno-declaration-after-statement -I/usr/src/linux-headers-5.18.0-2-common/include -I/tmp/vbox.0/ -I/tmp/vbox.0/include -I/tmp/vbox.0/r0drv/linux -D__KERNEL__ -DMODULE -DRT_WITHOUT_PRAGMA_ONCE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DRT_ARCH_AMD64  -DMODULE  -DKBUILD_BASENAME='"SUPR0IdcClientComponent"' -DKBUILD_MODNAME='"vboxnetflt"' -D__KBUILD_MODNAME=kmod_vboxnetflt /tmp/vbox.0/SUPR0IdcClientComponent.c | scripts/genksyms/genksyms    -r /dev/null > /tmp/vbox.0/.tmp_SUPR0IdcClientComponent.ver; ld -m elf_x86_64 -r -o /tmp/vbox.0/.tmp_SUPR0IdcClientComponent.o /tmp/vbox.0/SUPR0IdcClientComponent.o -T /tmp/vbox.0/.tmp_SUPR0IdcClientComponent.ver; mv -f /tmp/vbox.0/.tmp_SUPR0IdcClientComponent.o /tmp/vbox.0/SUPR0IdcClientComponent.o; rm -f /tmp/vbox.0/.tmp_SUPR0IdcClientComponent.ver; fi
   { echo ; echo '/tmp/vbox.0/VBoxNetFlt.o: $(wildcard ./tools/objtool/objtool)' ; } >> /tmp/vbox.0/.VBoxNetFlt.o.cmd
  if objdump -h /tmp/vbox.0/VBoxNetFlt.o | grep -q __ksymtab; then  gcc-11 -E -D__GENKSYMS__ -Wp,-MMD,/tmp/vbox.0/.VBoxNetFlt.o.d -nostdinc -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include -I./arch/x86/include/generated -I/usr/src/linux-headers-5.18.0-2-common/include -I./include -I/usr/src/linux-headers-5.18.0-2-common/arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I/usr/src/linux-headers-5.18.0-2-common/include/uapi -I./include/generated/uapi -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler-version.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/kconfig.h -include /usr/src/linux-headers-5.18.0-2-common/include/linux/compiler_types.h -D__KERNEL__ -fmacro-prefix-map=/usr/src/linux-headers-5.18.0-2-common/= -Wall -Wundef -Werror=strict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -fno-PIE -Werror=implicit-function-declaration -Werror=implicit-int -Werror=return-type -Wno-format-security -std=gnu11 -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -fcf-protection=none -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -mindirect-branch-cs-prefix -fno-jump-tables -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-address-of-packed-member -O2 -fno-allow-store-data-races -Wframe-larger-than=2048 -fstack-protector-strong -Wimplicit-fallthrough=5 -Wno-main -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-stack-clash-protection -pg -mrecord-mcount -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wvla -Wno-pointer-sign -Wcast-function-type -Wno-stringop-truncation -Wno-stringop-overflow -Wno-restrict -Wno-maybe-uninitialized -Wno-alloc-size-larger-than -fno-strict-overflow -fno-stack-check -fconserve-stack -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -Wno-packed-not-aligned -g -include /tmp/vbox.0/include/VBox/SUPDrvMangling.h -fno-pie -Wno-declaration-after-statement -I/usr/src/linux-headers-5.18.0-2-common/include -I/tmp/vbox.0/ -I/tmp/vbox.0/include -I/tmp/vbox.0/r0drv/linux -D__KERNEL__ -DMODULE -DRT_WITHOUT_PRAGMA_ONCE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DRT_ARCH_AMD64  -DMODULE  -DKBUILD_BASENAME='"VBoxNetFlt"' -DKBUILD_MODNAME='"vboxnetflt"' -D__KBUILD_MODNAME=kmod_vboxnetflt /tmp/vbox.0/VBoxNetFlt.c | scripts/genksyms/genksyms    -r /dev/null > /tmp/vbox.0/.tmp_VBoxNetFlt.ver; ld -m elf_x86_64 -r -o /tmp/vbox.0/.tmp_VBoxNetFlt.o /tmp/vbox.0/VBoxNetFlt.o -T /tmp/vbox.0/.tmp_VBoxNetFlt.ver; mv -f /tmp/vbox.0/.tmp_VBoxNetFlt.o /tmp/vbox.0/VBoxNetFlt.o; rm -f /tmp/vbox.0/.tmp_VBoxNetFlt.ver; fi
/tmp/vbox.0/linux/VBoxNetFlt-linux.c: In function ‘vboxNetFltPortOsXmit’:
/tmp/vbox.0/linux/VBoxNetFlt-linux.c:2314:23: error: implicit declaration of function ‘netif_rx_ni’; did you mean ‘netif_rx’? [-Werror=implicit-function-declaration]
 2314 |                 err = netif_rx_ni(pBuf);
      |                       ^~~~~~~~~~~
      |                       netif_rx
cc1: some warnings being treated as errors
make[2]: *** [/usr/src/linux-headers-5.18.0-2-common/scripts/Makefile.build:293: /tmp/vbox.0/linux/VBoxNetFlt-linux.o] Ошибка 1
make[1]: *** [/usr/src/linux-headers-5.18.0-2-common/Makefile:1858: /tmp/vbox.0] Ошибка 2
make: *** [/tmp/vbox.0/Makefile-footer.gmk:117: vboxnetflt] Ошибка 2

Прошу помощи!)

Короче, если ты хочешь на Debian 11 ядро 5.18, то нужно сделать вот что:

  • Для начала, нужно удалить ядро и VB, которые ты поставил до этого, если они не из бекпортов и из официального репозитория Oracle.

  • Нужно включить официальный репозиторий Oracle и бекпорты: https://www.virtualbox.org/wiki/Linux_Downloads https://wiki.debian.org/Backports

  • Поставить нужное ядро и его заголовки из бекпортов: apt install -t bullseye-backports linux-image-amd64 linux-headers-amd64

  • Поставить нужные пакеты для сборки модуля ядра VB и сам VB: apt install virtualbox-6.1 make gcc dkms

Vsevolod-linuxoid ★★★★★
()
Ответ на: комментарий от Yarosvet

Virtualbox ошибка при установке модулей ядра (комментарий) — вот нормальная инструкция. Если будут вопросы в процессе, обращайся.

А вообще покажи мне выводы:

grep -v -e '^$' -e '^#' /etc/apt/sources.list
ls -l /etc/apt/sources.list.d/
grep -v -e '^$' -e '^#' /etc/apt/sources.list.d/*
apt list --installed 2>/dev/null | grep '/now'

Я почти уверен, что у тебя сейчас франкейнштейн с кучей несовместимых библиотек. Это ну очень классическая ситуация: новичек ставит стабильный дистрибутив, криво обновляет версии ПО и по итогу у него нерабочее глючное нечто.

Vsevolod-linuxoid ★★★★★
()
Ответ на: комментарий от Yarosvet

не собирается работать с ведром 5.18?

у меня все работатет, но у меня изначально сразу sid вот с такой репой

deb http://ftp.ru.debian.org/debian/ sid main non-free contrib
deb-src http://ftp.ru.debian.org/debian/ sid main non-free contrib
amd_amd ★★★★★
()
Ответ на: комментарий от Vsevolod-linuxoid

grep -v -e ‘^$’ -e ‘^#’ /etc/apt/sources.list

deb http://security.debian.org/debian-security bullseye-security main contrib non-free
deb-src http://security.debian.org/debian-security bullseye-security main contrib non-free
deb http://ftp.ru.debian.org/debian testing main contrib non-free
deb-src http://ftp.ru.debian.org/debian testing main contrib non-free
deb [arch=amd64] https://download.virtualbox.org/virtualbox/debian bullseye contrib

ls -l /etc/apt/sources.list.d/

итого 8
-rw-r--r-- 1 root root 150 июн 23 21:28 serge-rider-ubuntu-dbeaver-ce-kinetic.list
-rw-r--r-- 1 root root 150 июн 23 21:27 serge-rider-ubuntu-dbeaver-ce-kinetic.list.save

grep -v -e ‘^$’ -e ‘^#’ /etc/apt/sources.list.d/*

/etc/apt/sources.list.d/serge-rider-ubuntu-dbeaver-ce-kinetic.list:deb http://ppa.launchpad.net/serge-rider/dbeaver-ce/ubuntu kinetic main
/etc/apt/sources.list.d/serge-rider-ubuntu-dbeaver-ce-kinetic.list.save:deb http://ppa.launchpad.net/serge-rider/dbeaver-ce/ubuntu kinetic main
Yarosvet
() автор топика
Ответ на: комментарий от Vsevolod-linuxoid

apt list –installed 2>/dev/null | grep ‘/now’ 1 часть

armitage/now 20220123-0kali2 all [установлен, локальный]
asbru-cm/now 6.3.3-1 all [установлен, локальный]
beef-xss/now 0.5.4.0-0kali6 amd64 [установлен, локальный]
discord/now 0.0.18 amd64 [установлен, локальный]
ettercap-common/now 1:0.8.3.1-6 amd64 [установлен, локальный]
ettercap-graphical/now 1:0.8.3.1-6 amd64 [установлен, локальный]
fonts-lyx/now 2.3.6-1 all [установлен, может быть обновлён до: 2.3.6.1-1]
gcc-9-base/now 9.3.0-22 amd64 [установлен, локальный]
gir1.2-gnomebluetooth-1.0/now 3.34.3-2 amd64 [установлен, локальный]
gir1.2-gst-plugins-bad-1.0/now 1.20.2-1+b1 amd64 [установлен, может быть обновлён до: 1.20.3-1]
gir1.2-gst-plugins-base-1.0/now 1.20.3-1 amd64 [установлен, может быть обновлён до: 1.20.3-2]
gir1.2-gweather-3.0/now 3.36.1-3 amd64 [установлен, локальный]
gir1.2-handy-0.0/now 0.0.13-3 amd64 [установлен, локальный]
gir1.2-nm-1.0/now 1.38.0-2 amd64 [установлен, может быть обновлён до: 1.38.2-1]
gir1.2-tracker-2.0/now 2.3.6-2 amd64 [установлен, локальный]
gnome-getting-started-docs/now 3.38.0-1 all [установлен, локальный]
gstreamer1.0-gl/now 1.20.3-1 amd64 [установлен, может быть обновлён до: 1.20.3-2]
gstreamer1.0-plugins-bad/now 1.20.2-1+b1 amd64 [установлен, может быть обновлён до: 1.20.3-1]
gstreamer1.0-plugins-base/now 1.20.3-1 amd64 [установлен, может быть обновлён до: 1.20.3-2]
gstreamer1.0-plugins-ugly/now 1.20.2-1+b1 amd64 [установлен, может быть обновлён до: 1.20.3-1]
gstreamer1.0-x/now 1.20.3-1 amd64 [установлен, может быть обновлён до: 1.20.3-2]
hash-identifier/now 1.2+git20180314-0kali1 all [установлен, локальный]
john-data/now 1.9.0-Jumbo-1+git20211102-0kali3 all [установлен, локальный]
john/now 1.9.0-Jumbo-1+git20211102-0kali3 amd64 [установлен, локальный]
johnny/now 2.2+git20160807-0kali1 amd64 [установлен, локальный]
kali-defaults/now 2022.3.1 all [установлен, локальный]
kismet-capture-common/now 2022.02.R1-0kali1 all [установлен, локальный]
kismet-capture-linux-bluetooth/now 2022.02.R1-0kali1 amd64 [установлен, локальный]
kismet-capture-linux-wifi/now 2022.02.R1-0kali1 amd64 [установлен, локальный]
kismet-capture-nrf-51822/now 2022.02.R1-0kali1 amd64 [установлен, локальный]
kismet-capture-nrf-52840/now 2022.02.R1-0kali1 amd64 [установлен, локальный]
kismet-capture-nrf-mousejack/now 2022.02.R1-0kali1 amd64 [установлен, локальный]
kismet-capture-nxp-kw41z/now 2022.02.R1-0kali1 amd64 [установлен, локальный]
kismet-capture-rz-killerbee/now 2022.02.R1-0kali1 amd64 [установлен, локальный]
kismet-capture-ti-cc-2531/now 2022.02.R1-0kali1 amd64 [установлен, локальный]
kismet-capture-ti-cc-2540/now 2022.02.R1-0kali1 amd64 [установлен, локальный]
kismet-capture-ubertooth-one/now 2022.02.R1-0kali1 amd64 [установлен, локальный]
kismet-core/now 2022.02.R1-0kali1 amd64 [установлен, локальный]
kismet-logtools/now 2022.02.R1-0kali1 amd64 [установлен, локальный]
kismet/now 2022.02.R1-0kali1 amd64 [установлен, локальный]
libaom0/now 1.0.0.errata1-3 amd64 [установлен, локальный]
libcamel-1.2-62/now 3.38.3-1 amd64 [установлен, локальный]
libcbor0/now 0.5.0+dfsg-2 amd64 [установлен, локальный]
libcodec2-0.9/now 0.9.2-4 amd64 [установлен, локальный]
libcub-dev/now 1.15.0-4 all [установлен, может быть обновлён до: 1.16.0-1]
libdav1d4/now 0.7.1-3 amd64 [установлен, локальный]
libdeflate0/now 1.10-2 amd64 [установлен, может быть обновлён до: 1.12-1]
libedataserver-1.2-25/now 3.38.3-1 amd64 [установлен, локальный]
libedataserverui-1.2-2/now 3.38.3-1 amd64 [установлен, локальный]
libffi7/now 3.3-6 amd64 [установлен, локальный]
libfluidsynth2/now 2.1.7-1.1 amd64 [установлен, локальный]
libfreetype6/now 2.12.1+dfsg-2 amd64 [установлен, может быть обновлён до: 2.12.1+dfsg-3]
libfwupdplugin1/now 1.5.7-4 amd64 [установлен, локальный]
libgeos3.10.2/now 3.10.2-1 amd64 [установлен, локальный]
libges-1.0-0/now 1.20.2-1 amd64 [установлен, может быть обновлён до: 1.20.3-1]
libgit2-1.1/now 1.1.0+dfsg.1-4 amd64 [установлен, локальный]
libgnutls30/now 3.7.4-2 amd64 [установлен, может быть обновлён до: 3.7.6-2]
libgstreamer-gl1.0-0/now 1.20.3-1 amd64 [установлен, может быть обновлён до: 1.20.3-2]
libgstreamer-plugins-bad1.0-0/now 1.20.2-1+b1 amd64 [установлен, может быть обновлён до: 1.20.3-1]
libgstreamer-plugins-base1.0-0/now 1.20.3-1 amd64 [установлен, может быть обновлён до: 1.20.3-2]
libgupnp-1.2-0/now 1.2.4-1 amd64 [установлен, локальный]
libgweather-3-16/now 3.36.1-3 amd64 [установлен, локальный]
libgweather-common/now 3.36.1-3 all [установлен, локальный]
libhandy-0.0-0/now 0.0.13-3 amd64 [установлен, локальный]
libhttp-message-perl/now 6.36-1 all [установлен, может быть обновлён до: 6.37-1]
libicu67/now 67.1-7 amd64 [установлен, локальный]
libidn11/now 1.33-3 amd64 [установлен, локальный]
libigdgmm11/now 20.4.1+ds1-1 amd64 [установлен, локальный]
libinput-bin/now 1.20.1-1 amd64 [установлен, может быть обновлён до: 1.21.0-1]
libinput10/now 1.20.1-1 amd64 [установлен, может быть обновлён до: 1.21.0-1]
libjim0.79/now 0.79+dfsg0-2 amd64 [установлен, локальный]
libjs-sphinxdoc/now 4.5.0-3 all [установлен, может быть обновлён до: 4.5.0-4]
libmbedcrypto3/now 2.16.9-0.1 amd64 [установлен, локальный]
libmbedtls12/now 2.16.9-0.1 amd64 [установлен, локальный]
libmbedx509-0/now 2.16.9-0.1 amd64 [установлен, локальный]
libnm0/now 1.38.0-2 amd64 [установлен, может быть обновлён до: 1.38.2-1]
libnss-myhostname/now 251.2-5 amd64 [установлен, может быть обновлён до: 251.2-6]
libnss-mymachines/now 251.2-5 amd64 [установлен, может быть обновлён до: 251.2-6]
libnss-systemd/now 251.2-5 amd64 [установлен, может быть обновлён до: 251.2-6]
libopenjp2-7/now 2.4.0-6 amd64 [установлен, может быть обновлён до: 2.5.0-1]
liborcus-0.16-0/now 0.16.1-3+b2 amd64 [установлен, локальный]
liborcus-parser-0.16-0/now 0.16.1-3+b2 amd64 [установлен, локальный]
libpam-systemd/now 251.2-5 amd64 [установлен, может быть обновлён до: 251.2-6]
Yarosvet
() автор топика
Ответ на: комментарий от Vsevolod-linuxoid

2 часть

libperl5.32/now 5.32.1-4+deb11u2 amd64 [установлен, локальный]
libpkcs11-helper1/now 1.28-1+b1 amd64 [установлен, может быть обновлён до: 1.29.0-1]
libpoppler102/now 20.09.0-3.1 amd64 [установлен, локальный]
libquvi-0.9-0.9.3/now 0.9.3-1.3 amd64 [установлен, локальный]
libsepol1/now 3.1-1 amd64 [установлен, локальный]
libsystemd-shared/now 251.2-5 amd64 [установлен, может быть обновлён до: 251.2-6]
libsystemd0/now 251.2-5 amd64 [установлен, может быть обновлён до: 251.2-6]
libtepl-5-0/now 5.0.1-2 amd64 [установлен, локальный]
libthrust-dev/now 1.15.0-6 all [установлен, может быть обновлён до: 1.16.0-1]
libtracker-control-2.0-0/now 2.3.6-2 amd64 [установлен, локальный]
libtracker-miner-2.0-0/now 2.3.6-2 amd64 [установлен, локальный]
libtracker-sparql-2.0-0/now 2.3.6-2 amd64 [установлен, локальный]
libubertooth1/now 2020.12.R1-0kali1 amd64 [установлен, локальный]
libudev1/now 251.2-5 amd64 [установлен, может быть обновлён до: 251.2-6]
libvpx6/now 1.9.0-1 amd64 [установлен, локальный]
libwebp6/now 0.6.1-2.1 amd64 [установлен, локальный]
libx264-160/now 2:0.160.3011+gitcde9a93-2.1 amd64 [установлен, локальный]
libx264-163/now 2:0.163.3060+git5db6aa6-2 amd64 [установлен, локальный]
libx265-192/now 3.4-2 amd64 [установлен, локальный]
libxmlb1/now 0.1.15-2 amd64 [установлен, локальный]
linux-headers-5.17.0-1-amd64/now 5.17.3-1 amd64 [установлен, локальный]
linux-headers-5.17.0-1-common/now 5.17.3-1 all [установлен, локальный]
linux-image-5.10.0-13-amd64/now 5.10.106-1 amd64 [установлен, локальный]
linux-image-5.17.0-1-amd64/now 5.17.3-1 amd64 [установлен, локальный]
linux-kbuild-5.17/now 5.17.3-1 amd64 [установлен, локальный]
metasploit-framework/now 6.2.1-0kali1 amd64 [установлен, локальный]
network-manager/now 1.38.0-2 amd64 [установлен, может быть обновлён до: 1.38.2-1]
node-minipass/now 3.2.1+~cs12.5.19-1 all [установлен, может быть обновлён до: 3.3.3+~cs12.5.19-1]
oracle-instantclient-basic/now 19.6.0.0.0-0kali1 amd64 [установлен, локальный]
oscanner/now 1.0.6-1kali2 all [установлен, локальный]
perl-modules-5.32/now 5.32.1-4+deb11u2 all [установлен, локальный]
power-profiles-daemon/now 0.10.1-3 amd64 [установлен, локальный]
pyqt5-dev-tools/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-bluepy/now 1.3.0-0kali1 amd64 [установлен, локальный]
python3-kismetcapturebtgeiger/now 2022.02.R1-0kali1 all [установлен, локальный]
python3-kismetcapturefreaklabszigbee/now 2022.02.R1-0kali1 all [установлен, локальный]
python3-kismetcapturertl433/now 2022.02.R1-0kali1 all [установлен, локальный]
python3-kismetcapturertladsb/now 2022.02.R1-0kali1 all [установлен, локальный]
python3-kismetcapturertlamr/now 2022.02.R1-0kali1 all [установлен, локальный]
python3-lazy-object-proxy/now 1.7.1-1 amd64 [установлен, может быть обновлён до: 1.7.1-2]
python3-pyqt5.qtmultimedia/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.qtopengl/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.qtpositioning/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.qtquick/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.qtremoteobjects/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.qtsensors/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.qtserialport/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.qtsql/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.qtsvg/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.qttexttospeech/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.qtwebchannel/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.qtwebkit/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.qtwebsockets/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.qtxmlpatterns/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-pyqt5.sip/now 12.10.1-1 amd64 [установлен, может быть обновлён до: 12.11.0-1]
python3-pyqt5/now 5.15.6+dfsg-1+b3 amd64 [установлен, может быть обновлён до: 5.15.7+dfsg-1]
python3-traitlets/now 5.2.2-1 all [установлен, может быть обновлён до: 5.3.0-1]
reaver/now 1.6.6-0kali1 amd64 [установлен, локальный]
ruby-async-dns/now 1.2.5-0kali1 all [установлен, локальный]
ruby-dev/now 1:3.0+1kali1 amd64 [установлен, локальный]
ruby-maxmind-db/now 1.1.1-0kali1 all [установлен, локальный]
ruby-public-suffix/now 4.0.6+ds-1 all [установлен, может быть обновлён до: 4.0.6+ds-2]
ruby/now 1:3.0+1kali1 amd64 [установлен, локальный]
set/now 8.0.3+git20200609-0kali2 all [установлен, локальный]
sslstrip/now 1.0+git20211125.9ac747b-0kali1 all [установлен, локальный]
synaptic/now 0.90.2+b1 amd64 [установлен, локальный]
systemd-container/now 251.2-5 amd64 [установлен, может быть обновлён до: 251.2-6]
systemd-sysv/now 251.2-5 amd64 [установлен, может быть обновлён до: 251.2-6]
systemd-timesyncd/now 251.2-5 amd64 [установлен, может быть обновлён до: 251.2-6]
systemd/now 251.2-5 amd64 [установлен, может быть обновлён до: 251.2-6]
udev/now 251.2-5 amd64 [установлен, может быть обновлён до: 251.2-6]
wordlists/now 2022.3.1 all [установлен, локальный]
zaproxy/now 2.11.1-0kali1 all [установлен, локальный]
Yarosvet
() автор топика
Ответ на: комментарий от Yarosvet

Подключать репозитории разный релизов и не регулировать это через apt preferences это верная дорога в ад!

У тебя франкенштейн, короче. Давай оценим глибину проблемы.

Покажи вывод вот этого скрипта, root для работы не нужен, безопасен, он просто подсчитывает, сколько пакетов откуда:

for i in $(LANG=C apt list --installed 2>/dev/null | grep -v "^Listing..." | cut -f 2 -d / | cut -f 1 -d " " | cut -f 1 -d "," | sort | uniq); do echo $i; LANG=C apt list --installed 2>/dev/null | grep "/$i" | wc -l; done
Vsevolod-linuxoid ★★★★★
()
Ответ на: комментарий от Yarosvet

Учитывая, что у тебя сейчас Франкенштейн, может долбануть даже просто при обычной работе. Ты хоть и обновился, но криво.

У тебя 1+97+9+1 пакета несовместимых версий. Вообще говоря так можно делать, но аккуратно и с пониманием, а не обновляя всю ОС из-за желания нового ядра, когда просто нужно было бекпорты подключить.

Vsevolod-linuxoid ★★★★★
()
Последнее исправление: Vsevolod-linuxoid (всего исправлений: 2)
Ответ на: комментарий от Yarosvet

Я бы сделал так, это удалит часть ПО, что ты установил, но в итоге будет чистый Debian Sid, пишу из теоретических соображений:

Предупреждение: опасно, может разломать ОС окончательно! Данные пользователя должны уцелеть, но ОС может перестать грузиться.

Всё от root, не sudo, если у тебя sudo, то сделай перед sudo -i:

echo 'deb http://ftp.ru.debian.org/debian sid main contrib non-free' > /etc/apt/sources.list
echo 'deb-src http://ftp.ru.debian.org/debian sid main contrib non-free' >> /etc/apt/sources.list
rm -r /etc/apt/sources.list.d/*
rm -r /etc/apt/preferences.d/*
echo 'Package: *' > /etc/apt/preferences.d/allsid
echo 'Pin: release n=sid' >> /etc/apt/preferences.d/allsid
echo 'Pin-Priority: 1001' >> /etc/apt/preferences.d/allsid
apt update
apt dist-upgrade
apt install linux-image-amd64 linux-headers-amd64
reboot
rm /etc/apt/preferences.d/allsid
apt update
apt remove --purge $(LANG=C apt list --installed 2>/dev/null | grep '/now' | cut -f 1 -d / | tr '\n' ' ')
apt install -f
apt autoremove --purge
apt install linux-image-amd64 linux-headers-amd64 dkms gcc make virtualbox
Vsevolod-linuxoid ★★★★★
()

В 5.18 действительно удалили функцию netif_rx_ni и модули бокса пока официально под это не адаптировали. Есть патч, с ним соберётся, но будет часто падать и ронять виртуалки, потому что в 5.18 ещё какие то важные изменения произошли и нужно ждать «нормальной» адаптации модуля. А пока лучше всё таки откатиться с ветки 5.18 и подождать пока Virtualbox вместе с модулями официально под неё не обновится.

netif_rx_ni is removed in linux kernel 5.18.0

--- a/vboxnetflt/linux/VBoxNetFlt-linux.c
+++ b/vboxnetflt/linux/VBoxNetFlt-linux.c
@@ -2310,8 +2310,13 @@
             {
                 vboxNetFltDumpPacket(pSG, true, "host", (fDst & INTNETTRUNKDIR_WIRE) ? 0 : 1);
                 Log6(("vboxNetFltPortOsXmit: pBuf->cb dump:\n%.*Rhxd\n", sizeof(pBuf->cb), pBuf->cb));
+#if RTLNX_VER_MIN(5,18,0)
+                Log6(("vboxNetFltPortOsXmit: netif_rx(%p)\n", pBuf));
+                err = netif_rx(pBuf);
+#else
                 Log6(("vboxNetFltPortOsXmit: netif_rx_ni(%p)\n", pBuf));
                 err = netif_rx_ni(pBuf);
+#endif
                 if (err)
                     rc = RTErrConvertFromErrno(err);
             }
Jameson ★★★★★
()
Последнее исправление: Jameson (всего исправлений: 2)
Ответ на: комментарий от Yarosvet

я на sid-е со времен jessie еду, вначале поставил для эксперимента на одну машину, а потом и все остальные на него перевел, даже если что то ломается - быстро чинят, так что бы система упала\умерла и данные потерялись - ни разу не было.

amd_amd ★★★★★
()
12 декабря 2023 г.
Ответ на: комментарий от alligator84

Давай полную диагностику:

uname -a
lsb_release -a
grep -v -e '^#' -e '^$' /etc/apt/sources.list
grep -vH -e '^#' -e '^$' /etc/apt/sources.list.d/*
LANG=C apt install -sf
for i in $(LANG=C apt list --installed 2>/dev/null | grep -v "^Listing..." | cut -f 2 -d / | cut -f 1 -d " " | cut -f 1 -d "," | sort | uniq); do echo $i; LANG=C apt list --installed 2>/dev/null | grep "/$i" | wc -l; done
LANG=C apt list --installed 2>/dev/null | grep -i -e linux -e virtualbox

Не забудь разметку: Как правильно копировать вывод терминала

Vsevolod-linuxoid ★★★★★
()
Ответ на: комментарий от Vsevolod-linuxoid
Linux topPC 6.2.0-37-generic #38~22.04.1-Ubuntu SMP PREEMPT_DYNAMIC Thu Nov  2 18:01:13 UTC 2 x86_64 x86_64 x86_64 GNU/Linux
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 22.04.3 LTS
Release:	22.04
Codename:	jammy
deb http://archive.ubuntu.com/ubuntu jammy main restricted
deb http://archive.ubuntu.com/ubuntu jammy-updates main restricted
deb http://archive.ubuntu.com/ubuntu jammy universe
deb http://archive.ubuntu.com/ubuntu jammy-updates universe
deb http://archive.ubuntu.com/ubuntu jammy multiverse
deb http://archive.ubuntu.com/ubuntu jammy-updates multiverse
deb http://archive.ubuntu.com/ubuntu jammy-backports main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu jammy-security main restricted
deb http://archive.ubuntu.com/ubuntu jammy-security universe
deb http://archive.ubuntu.com/ubuntu jammy-security multiverse
deb https://packages.atlassian.com/debian/atlassian-sdk-deb/ stable contrib
/etc/apt/sources.list.d/bazel.list:deb [arch=amd64 signed-by=/usr/share/keyrings/bazel-archive-keyring.gpg] https://storage.googleapis.com/bazel-apt stable jdk1.8
/etc/apt/sources.list.d/bazel.list.save:deb [arch=amd64 signed-by=/usr/share/keyrings/bazel-archive-keyring.gpg] https://storage.googleapis.com/bazel-apt stable jdk1.8
/etc/apt/sources.list.d/docker.list:deb [arch=amd64 signed-by=/usr/share/keyrings/docker-archive-keyring.gpg] https://download.docker.com/linux/ubuntu jammy stable
/etc/apt/sources.list.d/docker.list.save:deb [arch=amd64 signed-by=/usr/share/keyrings/docker-archive-keyring.gpg] https://download.docker.com/linux/ubuntu jammy stable
/etc/apt/sources.list.d/eivnaes-ubuntu-network-manager-sstp-jammy.list:deb https://ppa.launchpadcontent.net/eivnaes/network-manager-sstp/ubuntu/ jammy main
/etc/apt/sources.list.d/eivnaes-ubuntu-network-manager-sstp-jammy.list.save:deb https://ppa.launchpadcontent.net/eivnaes/network-manager-sstp/ubuntu/ jammy main
/etc/apt/sources.list.d/gezakovacs-ubuntu-ppa-focal.list.distUpgrade:deb http://ppa.launchpad.net/gezakovacs/ppa/ubuntu focal main
/etc/apt/sources.list.d/google-chrome.list:deb [arch=amd64] https://dl.google.com/linux/chrome/deb/ stable main
/etc/apt/sources.list.d/google-chrome.list.distUpgrade:deb [arch=amd64] https://dl.google.com/linux/chrome/deb/ stable main
/etc/apt/sources.list.d/google-chrome.list.save:deb [arch=amd64] https://dl.google.com/linux/chrome/deb/ stable main
/etc/apt/sources.list.d/pgdg.list:deb http://apt.postgresql.org/pub/repos/apt jammy-pgdg main
/etc/apt/sources.list.d/pgdg.list.distUpgrade:deb http://apt.postgresql.org/pub/repos/apt/ focal-pgdg main
/etc/apt/sources.list.d/pgdg.list.save:deb http://apt.postgresql.org/pub/repos/apt jammy-pgdg main
/etc/apt/sources.list.d/yandex-browser.list:deb [arch=amd64] https://repo.yandex.ru/yandex-browser/deb stable main
/etc/apt/sources.list.d/yandex-browser.list.save:deb [arch=amd64] https://repo.yandex.ru/yandex-browser/deb stable main
/etc/apt/sources.list.d/yarn.list:deb https://dl.yarnpkg.com/debian/ stable main
/etc/apt/sources.list.d/yarn.list.save:deb https://dl.yarnpkg.com/debian/ stable main
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libavahi-core7 libdaemon0 libllvm14
Use 'apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.
jammy
2565
jammy-pgdg
12
jammy-updates
749
now
16
stable
2
unknown
2
binutils-x86-64-linux-gnu/jammy-updates,jammy-security,now 2.38-4ubuntu2.4 amd64 [installed,automatic]
console-setup-linux/jammy,jammy,now 1.205ubuntu3 all [installed,automatic]
extlinux/jammy,now 3:6.04~git20190206.bf6db5b4+dfsg1-3ubuntu1 amd64 [installed,automatic]
libselinux1-dev/jammy,now 3.3-1build2 amd64 [installed,automatic]
libselinux1/jammy,now 3.3-1build2 amd64 [installed,automatic]
linux-base/jammy,jammy,now 4.5ubuntu9 all [installed,automatic]
linux-firmware/jammy-updates,jammy-updates,now 20220329.git681281e4-0ubuntu3.23 all [installed,automatic]
linux-generic-hwe-20.04/jammy-updates,jammy-security,now 5.15.0.91.88 amd64 [installed]
linux-generic-hwe-22.04/jammy-updates,jammy-security,now 6.2.0.37.38~22.04.15 amd64 [installed,automatic]
linux-generic/jammy-updates,jammy-security,now 5.15.0.91.88 amd64 [installed]
linux-headers-5.13.0-52-generic/now 5.13.0-52.59~20.04.1 amd64 [installed,local]
linux-headers-5.15.0-91-generic/jammy-updates,jammy-security,now 5.15.0-91.101 amd64 [installed,automatic]
linux-headers-5.15.0-91/jammy-updates,jammy-updates,jammy-security,jammy-security,now 5.15.0-91.101 all [installed,automatic]
linux-headers-5.19.0-50-generic/jammy-updates,jammy-security,now 5.19.0-50.50 amd64 [installed,automatic]
linux-headers-6.2.0-36-generic/jammy-updates,jammy-security,now 6.2.0-36.37~22.04.1 amd64 [installed,automatic]
linux-headers-6.2.0-37-generic/jammy-updates,jammy-security,now 6.2.0-37.38~22.04.1 amd64 [installed]
linux-headers-generic-hwe-22.04/jammy-updates,jammy-security,now 6.2.0.37.38~22.04.15 amd64 [installed,automatic]
linux-headers-generic/jammy-updates,jammy-security,now 5.15.0.91.88 amd64 [installed,automatic]
linux-hwe-5.13-headers-5.13.0-52/now 5.13.0-52.59~20.04.1 all [installed,local]
linux-hwe-5.19-headers-5.19.0-50/jammy-updates,jammy-updates,jammy-security,jammy-security,now 5.19.0-50.50 all [installed,automatic]
linux-hwe-6.2-headers-6.2.0-36/jammy-updates,jammy-updates,jammy-security,jammy-security,now 6.2.0-36.37~22.04.1 all [installed,automatic]
linux-hwe-6.2-headers-6.2.0-37/jammy-updates,jammy-updates,jammy-security,jammy-security,now 6.2.0-37.38~22.04.1 all [installed,automatic]
linux-image-5.15.0-91-generic/jammy-updates,jammy-security,now 5.15.0-91.101 amd64 [installed,automatic]
linux-image-5.19.0-50-generic/jammy-updates,jammy-security,now 5.19.0-50.50 amd64 [installed,automatic]
linux-image-6.2.0-36-generic/jammy-updates,jammy-security,now 6.2.0-36.37~22.04.1 amd64 [installed,automatic]
linux-image-6.2.0-37-generic/jammy-updates,jammy-security,now 6.2.0-37.38~22.04.1 amd64 [installed,automatic]
linux-image-generic-hwe-22.04/jammy-updates,jammy-security,now 6.2.0.37.38~22.04.15 amd64 [installed,automatic]
linux-image-generic/jammy-updates,jammy-security,now 5.15.0.91.88 amd64 [installed,automatic]
linux-libc-dev/jammy-updates,jammy-security,now 5.15.0-91.101 amd64 [installed,automatic]
linux-modules-5.15.0-91-generic/jammy-updates,jammy-security,now 5.15.0-91.101 amd64 [installed,automatic]
linux-modules-5.19.0-50-generic/jammy-updates,jammy-security,now 5.19.0-50.50 amd64 [installed,automatic]
linux-modules-6.2.0-36-generic/jammy-updates,jammy-security,now 6.2.0-36.37~22.04.1 amd64 [installed,automatic]
linux-modules-6.2.0-37-generic/jammy-updates,jammy-security,now 6.2.0-37.38~22.04.1 amd64 [installed,automatic]
linux-modules-extra-5.15.0-91-generic/jammy-updates,jammy-security,now 5.15.0-91.101 amd64 [installed,automatic]
linux-modules-extra-5.19.0-50-generic/jammy-updates,jammy-security,now 5.19.0-50.50 amd64 [installed,automatic]
linux-modules-extra-6.2.0-36-generic/jammy-updates,jammy-security,now 6.2.0-36.37~22.04.1 amd64 [installed,automatic]
linux-modules-extra-6.2.0-37-generic/jammy-updates,jammy-security,now 6.2.0-37.38~22.04.1 amd64 [installed,automatic]
linux-sound-base/jammy,jammy,now 1.0.25+dfsg-0ubuntu7 all [installed,automatic]
pptp-linux/jammy,now 1.10.0-1build3 amd64 [installed,automatic]
syslinux-common/jammy,jammy,now 3:6.04~git20190206.bf6db5b4+dfsg1-3ubuntu1 all [installed,automatic]
syslinux/jammy,now 3:6.04~git20190206.bf6db5b4+dfsg1-3ubuntu1 amd64 [installed,automatic]
util-linux/jammy,now 2.37.2-4ubuntu3 amd64 [installed,automatic]
virtualbox-6.1/now 6.1.34-150636.1~Ubuntu~eoan amd64 [installed,local]
alligator84
()
Ответ на: комментарий от Vsevolod-linuxoid

Вот такое сообщение при запуске

Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver is either not loaded or not set up correctly. Please try setting it up again by executing

'/sbin/vboxconfig'

as root.

If your system has EFI Secure Boot enabled you may also need to sign the kernel modules (vboxdrv, vboxnetflt, vboxnetadp, vboxpci) before you can load them. Please see your Linux system's documentation for more information.

where: suplibOsInit what: 3 VERR_VM_DRIVER_NOT_INSTALLED (-1908) - The support driver is not installed. On linux, open returned ENOENT.
alligator84
()
Ответ на: комментарий от alligator84

virtualbox-6.1/now 6.1.34-150636.1~Ubuntu~eoan — для jammy своя сборка же, вероятно, потому и ошибки. И 7.0 уже вышел, там уже нет нужды в дополнительном модуле для проброса USB.

Я бы по-нормальному настроил:

sudo apt remove --purge virtualbox-6.1
echo "deb [arch=amd64 signed-by=/usr/share/keyrings/oracle-virtualbox-2016.gpg] https://download.virtualbox.org/virtualbox/debian jammy contrib" | sudo tee /etc/apt/sources.list.d/virtualbox.list
wget -O- https://www.virtualbox.org/download/oracle_vbox_2016.asc | sudo gpg --dearmor --yes --output /usr/share/keyrings/oracle-virtualbox-2016.gpg
sudo apt update
sudo apt install virtualbox-7.0
Vsevolod-linuxoid ★★★★★
()
Последнее исправление: Vsevolod-linuxoid (всего исправлений: 1)
Ответ на: комментарий от Vsevolod-linuxoid

signed-by=/usr/share/keyrings/oracle-virtualbox-2016.gpg

–output /usr/share/keyrings/oracle-virtualbox-2016.gpg

В ubuntu (да и в debian) давно уже (как минимум пару лет) хорошим тоном считается класть ключи в /etc/apt/trusted.gpg.d/ (apt-key об этом явно пишет)

Тогда их сразу подхватывает apt без указания файла ключа.

Да и asc туда можно класть.

Dimez ★★★★★
()
Ответ на: комментарий от Vsevolod-linuxoid

Я прошу прощения, какая цель данной команды?

echo "deb [arch=amd64 signed-by=/usr/share/keyrings/oracle-virtualbox-2016.gpg] https://download.virtualbox.org/virtualbox/debian jammy contrib" | sudo tee /etc/apt/sources.list.d/virtualbox.list
wget -O- https://www.virtualbox.org/download/oracle_vbox_2016.asc | sudo gpg --dearmor --yes --output /usr/share/keyrings/oracle-virtualbox-2016.gpg
alligator84
()
Ответ на: комментарий от alligator84

virtualbox-6.1/now 6.1.34-150636.1~Ubuntu~eoan amd64 [installed,local]

eoan означает ubuntu 19.10

local означает, что ты скачал deb и установил его вручную.

Весь софт в идеале должен ставиться из репозитория и своевременно обновляться (иначе получится вот такое, когда у тебя новое ядро и старый vbox, который не умеет собирать свои модули на новом ядре). Эти 2 команды добавляют (хоть и неоптимально) новый репозиторий vbox для jammy.

Dimez ★★★★★
()
Ответ на: комментарий от Dimez

Я просто слегка обработал официальную инструкцию: https://www.virtualbox.org/wiki/Linux_Downloads — про указанную тобой особенность подзабыл.

Vsevolod-linuxoid ★★★★★
()
Последнее исправление: Vsevolod-linuxoid (всего исправлений: 1)
Ответ на: комментарий от annulen

Там разве нет dkms?

vbox-dkms, написанный под условный kernel-5, врядли соберётся под kernel v6. Даже внутри второго числа в нумерации ядра (x.y.z - y) есть ломающие API коммиты (было даже внутри 3-го числа ЕМНИП)

Dimez ★★★★★
()
Последнее исправление: Dimez (всего исправлений: 1)